Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer
Class IdUniquenessPolicyValue

    java.lang.Object
      |
      +--org.omg.PortableServer.IdUniquenessPolicyValue

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class IdUniquenessPolicyValue
extends java.lang.Object
implements IDLEntity

Enum definition : IdUniquenessPolicyValue

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`static int` | `_MULTIPLE_ID` Enum member MULTIPLE_ID value
`static int` | `_UNIQUE_ID` Enum member UNIQUE_ID value
`static IdUniquenessPolicyValue` | `MULTIPLE_ID` Enum member MULTIPLE_ID
`static IdUniquenessPolicyValue` | `UNIQUE_ID` Enum member UNIQUE_ID

Method Summary
`static IdUniquenessPolicyValue` | `from_int(int value)` Return a enum member from its value
`java.lang.Object` | `readResolve()` Maintains singleton property for serialized enums.
`java.lang.String` | `toString()` Return a string representation
`int` | `value()` Return the internal member value

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _UNIQUE_ID

    public static final int _UNIQUE_ID

  Enum member UNIQUE_ID value

### UNIQUE_ID

    public static final IdUniquenessPolicyValue UNIQUE_ID

  Enum member UNIQUE_ID

### _MULTIPLE_ID

    public static final int _MULTIPLE_ID

  Enum member MULTIPLE_ID value

### MULTIPLE_ID

    public static final IdUniquenessPolicyValue MULTIPLE_ID

  Enum member MULTIPLE_ID

Method Detail

### readResolve

    public java.lang.Object readResolve()
                                 throws java.io.ObjectStreamException

  Maintains singleton property for serialized enums. Issue 4271: IDL/Java issue, Mapping for IDL enum.

### value

    public int value()

  Return the internal member value
  Returns:
    the member value

### from_int

    public static IdUniquenessPolicyValue from_int(int value)

  Return a enum member from its value
  Parameters:
    `an` - enum value
  Returns:
    an enum member

### toString

    public java.lang.String toString()

  Return a string representation
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the enumeration

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD